# Generated by Django 2.2 on 2022-03-16 00:46

from django.db import migrations


def add_keys(apps, schema_editor):
    '''
    We can't import the Post model directly as it may be a newer
    version than this migration expects. We use the historical version.
    '''
    Setting = apps.get_model('settings', 'Setting')
    key = ''
    try:
        key = 'PROJECT_HTML_HEAD'
        Setting.objects.get(key=key)
    except Exception:
        Setting.objects.create(
            title='تنظیمات هد وبسایت',
            key=key,
            value='',
            value_type='s',
            is_show=True,
            is_variable_in_home=False,
        )


def remove_keys(apps, schema_editor):
    '''
    We can't import the Post model directly as it may be a newer
    version than this migration expects. We use the historical version.
    '''
    Setting = apps.get_model('settings', 'Setting')
    try:
        key = 'PROJECT_HTML_HEAD'
        Setting.objects.get(key=key).delete()
    except Exception:
        pass


class Migration(migrations.Migration):
    dependencies = [
        ('settings', '0024_auto_20200324_1041'),
    ]

    operations = [
        migrations.RunPython(add_keys, reverse_code=remove_keys),
    ]
